Skip to content

Get Assembly Order Statuses ​

http
POST /api/marketplace/v3/dbs/orders/status/info

Base URL: https://marketplace-api.wildberries.ru · Module: dbs · Section: DBS Assembly Orders · Specification doc ↗

Returns the statuses of assembly orders based on the list of assembly order IDs. supplierStatus is a status of an order. The trigger for its change is the action of the seller himself. Possible values for this field are:

StatusDescriptionHow to move an order to this status
new**New order**
confirm**Order on assembly**Transfer to assembly
wbStatus is a status of an order on the Wildberries side.
Possible values for this field are:
  • waiting — assembly order in work
  • sold — the buyer got the order
  • canceled — assembly order canceled
  • canceled\_by\_client — the buyer canceled the order
  • declined\_by\_client — the buyer canceled the order in the first hour Cancellation is available to the buyer in the first hour from the moment of order, if the order is not transferred to confirm status.
  • defect — order canceled due to a defect
  • ready\_for\_pickup — the order arrived the pickup point
  • canceled\_by\_missed\_call— cancellation due to unreachable buyer. For delivery by seller

Request limit per one seller account for DBS assembly orders methods:

PeriodLimitIntervalBurst
1 min300 requests200 ms20 requests
One request with 4XX response codes is counted as 10 requests.

In Sandbox — maximum of 1 request per second for all Marketplace methods in total.

Request body ​

application/json — schema api.OrdersRequestV2, required

  • ordersIds integer<int64>[] (required) — List of assembly order IDs

Responses ​

CodeDescriptionSchema
200Successapi.OrderStatusesV2
400Bad requestapi.BatchError
401Unauthorizedobject
402Payment requiredobject
403Access deniedapi.BatchError
404Not foundapi.BatchError
429Too many requestsobject

Structure 200:

  • orders api.OrderStatusV2[] — Status data
    • errors api.BatchErrorResponse[] — Error detail
      • code integer<int64> — Error code: - 404 - 409 - 400
      • detail string — - NotFound — assembly order is not found - StatusMismatch — operation is not possible for this assembly order status - ImeiIsNotFilled — IMEI is not filled - OrderNotB2B — operation is available only for assembly orders with the B2B sale indicator "isB2b": true - InvalidOriginCountryCode — invalid country of origin code
    • orderId integer<int64> — Assembly order ID
    • supplierStatus string — Assembly order status set by the seller
    • wbStatus string — Assembly order status set by WB system

Structure 400:

  • detail object — Error details
  • origin string — WB internal service ID
  • requestId string — Unique request ID
  • title string — Error title

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • detail object — Error details
  • origin string — WB internal service ID
  • requestId string — Unique request ID
  • title string — Error title

Structure 404:

  • detail object — Error details
  • origin string — WB internal service ID
  • requestId string — Unique request ID
  • title string — Error title

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.dbs import Configuration, ApiClient
from wb_api_client.dbs.api import DbsApi

cfg = Configuration(access_token="<your WB JWT>")
api = DbsApi(ApiClient(cfg))

result = api.post_v3_dbs_orders_status_info(api_orders_request_v2=...)
print(result)
ts
import {
  Configuration,
  DbsApi,
} from "@valeryverkhoturov/wb-api-client/dbs";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new DbsApi(cfg);

const { data } = await api.postV3DbsOrdersStatusInfo(apiOrdersRequestV2);
console.log(data);
go
import (
	"context"
	"fmt"

	wbdbs "github.com/ValeryVerkhoturov/wb-api-client-go/dbs"
)

cfg := wbdbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbdbs.NewAPIClient(cfg)

result, _, err := client.DbsAPI.PostV3DbsOrdersStatusInfo(context.Background()).ApiOrdersRequestV2(apiOrdersRequestV2).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.dbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.dbs.SecretString;
import io.github.valeryverkhoturov.wbapi.dbs.api.DbsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
DbsApi api = new DbsApi(client);

System.out.println(api.postV3DbsOrdersStatusInfo(apiOrdersRequestV2));
php
use ValeryVerkhoturov\WbApiClient\Dbs\Configuration;
use ValeryVerkhoturov\WbApiClient\Dbs\SecretString;
use ValeryVerkhoturov\WbApiClient\Dbs\Api\DbsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new DbsApi(new Client(), $config);

print_r($api->postV3DbsOrdersStatusInfo($api_orders_request_v2));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый DbsApi(Настройки);

Сообщить(Клиент.PostV3DbsOrdersStatusInfo(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Dbs.Api;
using ValeryVerkhoturov.WbApiClient.Dbs.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new DbsApi(config);

Console.WriteLine(api.PostV3DbsOrdersStatusInfo(apiOrdersRequestV2));
rust
use wb_api_client::dbs::apis::{configuration::Configuration, dbs_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = dbs_api::post_v3_dbs_orders_status_info(&cfg, api_period_orders_request_v2).await;
    println!("{:#?}", result);
}